<html>
<head>
    <title>Basics</title>
    <style>
        body {background-color: pink;}
        h1 {
            color: white;
            text-align: center;
            font-family: "Arial";
        }
        .block {
            float: left;
            text-align: center;
        }
        .logo {
            height: 300px;
        }
        .footer {
            text-align: right;
            font-style: italic;
            font-family: Courier, monospace;
            clear: both;
        }
    </style>
</head>
<body>
    <h1>Basics of &#x22D6HTML&#x22D7</h1>
    <div class="block">
            <img class="logo" src="http://g-ec2.images-amazon.com/images/G/01/social/api-share/amazon_logo_500500._V323939215_.png" alt="Amazon">
            <br/>
            <a href="https://www.amazon.com/">Amazon</a>
    </div>
    <div class="block">
        <img class="logo" src="https://cdn.business2community.com/wp-content/uploads/2012/10/ebay_old_logo.jpg" alt="eBay">
        </p><a href="https://www.ebay.com/">eBay</a></p>
    </div>
    <div class="footer">
        <hr/>
        <p>&#xA9 mpetruno 2019</p>
    </div>
    <form method="post">
        <input type="text" name="firstname" id="firstname" placeholder="First Name" onchange="checkName()">
    </form>
    <script>
        function checkName() {
            var inp = document.getElementById("firstname").value;
            if (inp != "name") {
                document.getElementById("firstname").style.color = 'red';
            } else {
                document.getElementById("firstname").style.color = 'black';
            }
            
        }
    </script>
</body>
</html>